### Method

# Pango Layout set_spacing

#### Declaration [src]

    void
    pango_layout_set_spacing (
      PangoLayout* layout,
      int spacing
    )

#### Description [src]

Sets the amount of spacing in Pango units between the lines of the layout.

When placing lines with spacing, Pango arranges things so that

    line2.top = line1.bottom + spacing

The default value is 0.

Note: Since 1.44, Pango is using the line height (as determined by the font) for placing lines when the line spacing factor is set to a non-zero value with `pango_layout_set_line_spacing()`. In that case, the `spacing` set with this function is ignored.

Note: for semantics that are closer to the CSS line-height property, see `pango_attr_line_height_new()`.

#### Parameters

`spacing`

  Type: `int`

  The amount of spacing.